Bug 216380 - gconf-sanity-check-2 has missing symbols after yum upgrade from fc5 to fc6
gconf-sanity-check-2 has missing symbols after yum upgrade from fc5 to fc6
Product: Fedora
Classification: Fedora
Component: GConf2 (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2006-11-19 22:09 EST by Adrian Likins
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-20 11:26:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adrian Likins 2006-11-19 22:09:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv: Gecko/20061025 Firefox/

Description of problem:
After upgrading from fc5 to fc6 via yum, gconf2 seems to be odd.

In particular, /usr/libexec/gconf-sanity-check-2 fails to run with the error:

/usr/libexec/gconf-sanity-check-2: symbol lookup error: /usr/lib64/libgtk-x11-2.0.s0.0: undefined symbol: g_hash_table_ref

This shows up when trying to start a gnome session. 

glib2/gtk2 seems to be installed okay, afaict. I can start a KDe session and then start up gimp/inkscape/etc.

Version-Release number of selected component (if applicable):
GConf2-2.14.0-2.1,  glib2-2.12.3-2.fc6

How reproducible:

Steps to Reproduce:
Well, starting X with a gnome session will do it. Or just running "/usr/libexec/gconf-sanity-check-2" from the commandline will show it.

I assume it's something thats gotten fubar'ed during the upgrade, so thats
probably whats needed to get it in this state.

I did a similar update on an i386 box, and didn't have this issue, so it could be a x86_64 specific issue.

Actual Results:

Expected Results:

Additional info:
Comment 1 Ray Strode [halfline] 2006-11-20 10:08:57 EST
Do you have an older copy of glib installed in /usr/lib64 ?

The libtool that ships with the GConf2 shipped in fc6 erroneously adds an rpath
to /usr/lib64.
Comment 2 Adrian Likins 2006-11-20 11:26:07 EST
Ah, indeed. A orphaned glib2 was left in /usr/lib64. 

I must of glanced over it when checking the ldd output.

Figure's it's an rpath giving me problems ;->

Not entirely sure where the orphaned lib came from though (.2-600.0 I belive)
Comment 3 Ray Strode [halfline] 2006-11-20 11:47:42 EST
well, we should probably push an fc6 update to drop the rpath anyway.
Comment 4 Ray Strode [halfline] 2006-11-20 11:51:52 EST
So, it turns out I already fixed this in cvs and pushed a GConf2 update this
morning for a different issue, so this fix already got pulled in.

Note You need to log in before you can comment on or make changes to this bug.